#version 120

uniform sampler2D texture;

void main()
{
	vec2 texcoord = gl_TexCoord[0].xy;
    vec4 pixel = texture2D(texture, texcoord);

    vec3 coef = vec3(0.299f, 0.587f, 0.114f) * pixel.rgb;
    float res = coef.x + coef.y + coef.z;
    gl_FragColor = vec4(res, res, res, pixel.a);
}