#version 120

uniform sampler2D texture;

void main()
{
	vec2 texcoord = gl_TexCoord[0].xy;
    vec4 pixel = texture2D(texture, texcoord);

    vec3 coef = vec3(pixel.r * 1.f, pixel.g * 1.f, pixel.b * 1.7f) * pixel.rgb;
   
    gl_FragColor = vec4(coef.x, coef.y, coef.z, pixel.a);
}